## mpi4py 3.1.2

=== debian/changelog ===
mpi4py (3.1.2-2) unstable; urgency=medium

  * Team upload.
  * update debian/control Homepage and debian/watch to
    https://github.com/mpi4py/mpi4py

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Nov 2021 13:26:18 +0100

mpi4py (3.1.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch test_align_PR92.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Nov 2021 22:22:08 +0100

mpi4py (3.1.1-8) unstable; urgency=medium

  * Team upload.
  * upload new version to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Sep 2021 20:55:06 +0200

mpi4py (3.1.1-7) experimental; urgency=medium

  * Team upload.
  * stop providing python3-mpi4py-dbg. Python debug builds are now
    ABI compatible with standard builds. Closes: #994312.
  * rename debian patch skip_tests_riscv64.patch to
    skip_test_dynproc.patch and add ia64.
  * drop NUM_TEST_PROCESSES for tests, revert to 5 processes

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Sep 2021 02:55:02 +0200

mpi4py (3.1.1-6) experimental; urgency=medium

  * Team upload.
  * use NUM_TEST_PROCESSES to set number of processes used in
    build-time tests. Default 5, set to 3 for "weak MPI" arches which
    handle oversubscription poorly.
    Currently WEAK_MPI_ARCH_LIST = ia64 only.
  * debian patch skip_tests_riscv64.patch skips TestDPM.testJoin on
    riscv64, which stalls in build-time tests.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Sep 2021 14:51:13 +0200

mpi4py (3.1.1-5) experimental; urgency=medium

  * Team upload.
  * run build-time tests on 2 processors with -fv flag to help
    identify ia64 and riscv64 test failures.

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Sep 2021 10:33:19 +0200

mpi4py (3.1.1-4) experimental; urgency=medium

  * Team upload.
  * update debian patch test_align_PR92.patch from upstream PR#92.

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Sep 2021 12:13:21 +0200

mpi4py (3.1.1-3) experimental; urgency=medium

  * Team upload.
  * debian patch test_align_PR92.patch applies upstream PR#92 to fix
    long double alignment in tests for s390x.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Sep 2021 01:24:17 +0300

mpi4py (3.1.1-2) experimental; urgency=medium

  * Team upload.
  * apply OpenMPI settings in debian/rules to make build tests more
    reliable (oversubscribe in particular). See
    https://github.com/mpi4py/setup-mpi/blob/master/setup-mpi.sh#L65
  * debian patch skip_spawn_tests.patch skips all spawn tests
    (test_spawn.py) for OpenMPI. Spawn not stable in OpenMPI 4, see
    https://github.com/jsquyres/ompi/pull/4#issuecomment-806897758
    In particular it causes builds to fail in chroots (buildds).

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Aug 2021 23:55:57 +0200

mpi4py (3.1.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches
      docs_sphinx_python3.patch, fix_pytest4.patch, up_libm
  * run tests using test/runtests.py (otherwise there could be CUDA
    configuration problems, see upstream Issue #80)
    - drop Build-Depends: python3-nose
    - run verbose tests on single processor,
      then full tests with mpirun -n 5, non-verbose
  * override dh_auto_clean: remove generated docs/source/usrman/reference
  * use pybuild build_dir as PYTHONPATH during build
  * drop debian patch up_tests_network_attr
    (trying to run tests without nose)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Aug 2021 17:06:47 +0200

mpi4py (3.0.3-10) unstable; urgency=medium

  * Team upload.
  * reinstate Depends: python3-pytest in debian/tests.
  * add dummy test to debian/tests/control so that mpi4py tests are
    triggered by changes to libpmix-dev, libucx-dev (selected arches)
    Thanks Graham Inggs for the patch.

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Aug 2021 12:46:38 +0200

mpi4py (3.0.3-9) unstable; urgency=medium

  * Team upload.
  * debian patch skip_spawn_tests.patch skips all spawn tests
    (test_spawn.py) for OpenMPI. Spawn not stable in OpenMPI 4, see
    https://github.com/jsquyres/ompi/pull/4#issuecomment-806897758
    In particular it causes builds to fail in chroots (buildds).
    MPI spawn instability appears to have been triggered by
    pmix/4.1.0-3. Closes: #993214,

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Aug 2021 11:25:54 +0200

mpi4py (3.0.3-8) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Jan 2021 15:54:22 +0100

mpi4py (3.0.3-7) unstable; urgency=medium

  * Team upload.
  * extend debian patch skip_failing_test_rma.patch to skip the
    affected tests for any openmpi release >=4.0.4,<4.1. Review fails
    when openmpi 4.1 is released. Closes: #974560.

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Nov 2020 12:56:39 +0800

mpi4py (3.0.3-6) unstable; urgency=medium

  * Team upload.
  * debian patch skip_failing_test_rma.patch skips
    tests in test_rma.py, test_rma_nb.py and test_win.py which
    segfault or fail with OpenMPI 4.0.4
    See Bug#965352 and upstream Issue #171.

 -- Drew Parsons <dparsons@debian.org>  Sat, 08 Aug 2020 09:32:42 +0800

mpi4py (3.0.3-5) unstable; urgency=medium

  * Team upload.
  * use verbose output with pytest in debian/tests (autopkgtest)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Jul 2020 23:23:42 +0800

mpi4py (3.0.3-4) unstable; urgency=medium

  * Team upload.
  * debian patch skip_ppc_failing_tests.patch skips tests
    testCreateF90RealDouble and testCreateF90ComplexDouble in
    test_datatype.py on all ppc arches, where they fail with OpenMPI 4.
    These tests pass on other arches. See Bug#948655.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Jan 2020 06:22:02 +0800

mpi4py (3.0.3-3) unstable; urgency=medium

  * Team upload.
  * restore installation of python3-dbg module libs in python3-mpi4py-dbg


