## mpi4py 3.1.3

=== debian/changelog ===
mpi4py (3.1.3-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:47:46 +0000

mpi4py (3.1.3-1build1) jammy; urgency=medium

  * Rebuild against new pmix 4.1.2-1ubuntu1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Feb 2022 21:31:41 +0100

mpi4py (3.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - adds missing support for MPI.BOTTOM to generalized all-to-all
      collectives
    - no longer provides mpi4py.pdf or info files. Build from source.
      Build-Depends-Indep: texinfo, texlive, latexmk, tex-gyre,
      texlive-latex-extra. Don't compress pdf file.
  * debian patch docs_privacy.patch disables inclusion of
    googletagmanager in docs in order to maintain privacy.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Dec 2021 22:28:02 +0100
