=== debian/control ===
--- 
+++ 
@@ -13,6 +13,9 @@
                python3-all-dev,
                python3-numpy,
                python3-sphinx
+Build-Depends-Indep: texinfo, texlive,
+ latexmk, tex-gyre,
+ texlive-latex-extra
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/mpi4py
 Vcs-Git: https://salsa.debian.org/science-team/mpi4py.git
