=== debian/tests/control ===
# testing on 5 processes is recommended by upstream where possible
# and is safe to oversubscribe with OpenMPI
# but oversubscribing might be a problem (runs slow) with mpich

Test-Command: OMPI_MCA_rmaps_base_oversubscribe=yes mpiexec -n 5 python3 test/runtests.py --verbose
Depends: python3-mpi4py,
    python3-cffi,
    python3-dill,
    python3-distutils,
    python3-numpy,
    python3-simplejson,
    python3-yaml
Restrictions: allow-stderr


# Dummy test so that changes to other packages
# trigger our autopkgtests on ci.debian.net
Test-Command: /bin/true
Depends: libpmix-dev,
    libucx-dev [amd64 arm64 ppc64el],
Restrictions: hint-testsuite-triggers
