=== debian/changelog ===
mpi4py (3.1.4-2) unstable; urgency=medium

  * Team upload.
  * debian patch skip_testPackUnpackExternal_sparc64.patch skips
    testPackUnpackExternal on sparc64. See upstream Issue#147.

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Nov 2022 17:27:32 +0100

mpi4py (3.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches contiguity_check_9ccf55f.patch,
      numpy_1.22_DLPack_e3e4e02.patch, test_ipv6.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 03 Nov 2022 17:54:51 +0100

mpi4py (3.1.3-4) unstable; urgency=medium

  * Team upload.
  * apply patches recommended upstream from maint branch
    - contiguity_check_9ccf55f.patch
    - numpy_1.22_DLPack_e3e4e02.patch applies commit e3e4e02 after
      c252c9c and 069bfde to pass with numpy 1.22.
  * update debian patch test_ipv6.patch against upstream PR#241

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Aug 2022 16:21:39 +0200

mpi4py (3.1.3-3) unstable; urgency=medium

  * Team upload.
  * debian patch test_ipv6.patch tests available internet sockets in
    order to use IPv4 or IPv6 in test_dynproc.TestDPM.testJoin.
    Select IPv4 if available, else IPv6, UNIX or the first available
    (undocumented) socket family. Closes: #1015912.
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Aug 2022 15:18:47 +0200

mpi4py (3.1.3-2) unstable; urgency=medium

  * Team upload.
  * debian patch io_long_double_i386_2d868d7.patch applies upstream
    commit 2d868d7 to skip test_io long double tests on i386.
    See upstream mpi4py issue #105, openmpi issue #10287.
    Closes: #998106.

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Apr 2022 12:21:10 +0200
