=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Build-Depends-Indep: texinfo, texlive,
  latexmk, tex-gyre,
  texlive-latex-extra
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/mpi4py
 Vcs-Git: https://salsa.debian.org/science-team/mpi4py.git
 Homepage: https://github.com/mpi4py/mpi4py
