=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 endif
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with sphinxdoc --buildsystem pybuild
 
 cythonize:
 	@echo "D: removing previously generated by Cython sources"
