=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Depends: python3-mpi4py,
     python3-cffi,
     python3-dill,
-    python3-distutils,
+    python3-setuptools,
     python3-numpy,
     python3-simplejson,
     python3-yaml
