## mpi4py 3.1.6

=== debian/changelog ===
mpi4py (3.1.6-9ubuntu1) oracular; urgency=medium

  * Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 05 Sep 2024 10:51:28 +0000

mpi4py (3.1.6-9) unstable; urgency=medium

  * debian patch mpich_32bit_13e8af6.patch applies upstream commit
    13e8af6 to better handle 32-bit architectures.
    Drop test_pack skipping from skip_failing_tests_32bit_mpich.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Jul 2024 11:47:14 +0200

mpi4py (3.1.6-8) unstable; urgency=medium

  * update debian patch skip_failing_tests_32bit_mpich.patch to skip
    spawn tests (BaseTestSpawn) with mpich on all 32-bit systems.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Jul 2024 23:46:26 +0200

mpi4py (3.1.6-7) unstable; urgency=medium

  * update debian patch skip_failing_tests_32bit_mpich.patch to skip
    testPackUnpackExternal with mpich on all 32-bit systems.
    The previous i386 "success" was actually an ignored failure.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Jul 2024 13:39:02 +0200

mpi4py (3.1.6-6) unstable; urgency=medium

  * debian patch test_exception_MPI_ERR_ERRHANDLER_mpich.patch defines
    MPI_ERR_ERRHANDLER=80 to enable mpich to pass test_exceptions.py.
    MPI_ERR_ERRHANDLER is defined and used by mpich 4.2 but not yet
    implemented by openmpi 4.1.6. See upstream Issue#514.

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jul 2024 10:42:42 +0200

mpi4py (3.1.6-5) unstable; urgency=medium

  * update skip_failing_tests_32bit_mpich.patch to skip all spawn tests
    (BaseTestSpawn) for failing mpich 32-bit arches
    (armel, armhf, hppa, powerpc)

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Jul 2024 12:04:34 +0200

mpi4py (3.1.6-4) unstable; urgency=medium

  * update skip_failing_tests_32bit_mpich.patch to skip testCommSpawn
    on 32-bit mpich, and apply spawn skips to armel, armhf, hppa.
  * run tests with mpi -v verbose flag to help debug mpich failures

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 21:58:29 +0200

mpi4py (3.1.6-3) unstable; urgency=medium

  * fix debian patch s)kip_failing_tests_32bit_mpich.patch
    - treat armel, armhf, hppa machine ids as prefixes (arm*, parisc*)
      (it's actually armv7l, parisc64 on porterboxes)
    - skip testArgsOnlyAtRootMultiple (test_spawn) on powerpc with mpich
  * update intersphinx_use_local_inventory.patch to include local
    numpy docs. Build-Depends-Indep: python-numpy-doc

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 16:00:41 +0200

mpi4py (3.1.6-2) unstable; urgency=medium

  * debian patch skip_failing_tests_32bit_mpich.patch skips failing
    tests with 32-bit mpich. See upstream Issue#514. Closes: #1075980.
    - armel, armhf, hppa: testPackUnpackExternal (test_pack.py)
    - powerpc: testArgsOnlyAtRoot (test_spawn.py)

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 11:22:23 +0200

mpi4py (3.1.6-1) unstable; urgency=medium

  * New upstream release.
  * build and test over all supported (not requested) python versions
  * build docs against default python version
    (need built version to access MPI python extensions)
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 May 2024 17:46:54 +0200

mpi4py (3.1.5-7) unstable; urgency=medium

  * Team upload

  [ Zixing Liu ]
  * Un-break Sphinx documentation generation by removing PYTHONPATH overrides
    (Closes: #1066837)

 -- Graham Inggs <ginggs@debian.org>  Wed, 08 May 2024 13:23:44 +0000

mpi4py (3.1.5-6) unstable; urgency=medium

  * debian patch intersphinx_use_local_inventory.patch uses python3
    docs when building docs. Thanks Zixing Liu from Canonical.
    Closes: #1066837, #1063409
  * add Drew Parsons as uploader

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 May 2024 19:33:49 +0200
