=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: mpi4py
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Drew Parsons <dparsons@debian.org>,
+           Yaroslav Halchenko <debian@onerussian.com>,
+           Michael Hanke <michael.hanke@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,8 +18,10 @@
                python3-setuptools
 Build-Depends-Indep: texinfo, texlive,
  latexmk, tex-gyre,
- texlive-latex-extra
-Standards-Version: 4.6.2
+ texlive-latex-extra,
+ python3-doc,
+ python-numpy-doc
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/mpi4py
 Vcs-Git: https://salsa.debian.org/science-team/mpi4py.git
 Homepage: https://github.com/mpi4py/mpi4py
