=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-PY3 = $(shell py3versions -vd)
-PY3VERS = $(shell py3versions -vr)
+PY3DEF = $(shell py3versions -vd)
+PY3VERS = $(shell py3versions -vs)
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
@@ -64,8 +64,8 @@
 		--build-args "--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI)"
 
 override_dh_auto_build-indep: override_dh_auto_build-arch
-	PYTHONPATH=`pybuild --print "{build_dir}"` \
-	 make -C docs/source/usrman/ html man info latexpdf SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
+	PYTHONPATH=`pybuild -p $(PY3DEF) --print "{build_dir}"` \
+	  make -C docs/source/usrman/ html man info latexpdf SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 
 override_dh_auto_install:
 	dh_auto_install
@@ -99,7 +99,7 @@
 	    /usr/bin/python$$vv $(CURDIR)/test/runtests.py -v || $(IGNORE_FAILED_TESTS); \
 	   echo "I: running tests with MPI (5 processes)"; \
 	   PYTHONPATH=`pybuild -p $$vv --print "{build_dir}"` \
-	    mpirun -n 5 /usr/bin/python$$vv $(CURDIR)/test/runtests.py -fv || $(IGNORE_FAILED_TESTS); \
+	    mpirun -v -n 5 /usr/bin/python$$vv $(CURDIR)/test/runtests.py -fv || $(IGNORE_FAILED_TESTS); \
 	  done; \
 	fi
