=== debian/tests/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 # and is safe to oversubscribe with OpenMPI
 # but oversubscribing might be a problem (runs slow) with mpich
 
-Test-Command: OMPI_MCA_rmaps_base_oversubscribe=yes mpiexec -n 5 python3 test/runtests.py --verbose
+Test-Command: for pyver in `py3versions -vs`; do OMPI_MCA_rmaps_base_oversubscribe=yes mpiexec -v -n 5 python$pyver test/runtests.py --verbose; done
 Depends: python3-mpi4py,
+    python3-all,
     python3-cffi,
     python3-dill,
     python3-setuptools,
