## mpi4py 4.0.1

=== debian/changelog ===
mpi4py (4.0.1-6deepin1) unstable; urgency=medium

  * Disable test as there is no network during build process

 -- zhoushicheng <zhoushicheng@uniontech.com>  Mon, 02 Dec 2024 15:07:04 +0800

mpi4py (4.0.1-6) unstable; urgency=medium

  * mips64el is in trouble. Reinstate version restriction. Test
    default python only and skip all TestRMA.
  * skip testAccumulate from test_rma_nb on bigendian architectures
    (s390x ppc64 sparc64, not alpha). Skip separately from DMA skips.

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2024 21:55:01 +0100

mpi4py (4.0.1-5) unstable; urgency=medium

  * update test skips
    - add alpha, sparc64 to the DMA skip list
    - DMA skip arches also skip testGetAccumulate
    - mips64el skips all TestRMA
  * revert mips64el version restriction, run tests on all supported
    python versions. The problem was TestRMA.

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2024 11:53:52 +0100

mpi4py (4.0.1-4) unstable; urgency=medium

  * s390x ppc64: skip all TestDPM tests (test_dynproc.py)
    see https://github.com/mpi4py/mpi4py/issues/586
    Closes: #1087609. Future ref. #1087800.
  * apply test skips to serial build tests
  * debian/rules: explicitly set DEB_HOST_ARCH
  * mips64el times out. Run build tests on default python only

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 23:37:00 +0100

mpi4py (4.0.1-3) unstable; urgency=medium

  * s390x ppc64: skip testConnectAccept too

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 02:09:27 +0100

mpi4py (4.0.1-2) unstable; urgency=medium

  * skip testAcceptConnect (test_dynproc.TestDPM) on s390x ppc64
    which segfaults with PMIX_ERR_BAD_PARAM. Closes: #1087609.
  * reinstate skipping testPackUnpackExternal on sparc64.
    OpenMPI 4.1.2 broke memory alignment on sparc64,
    see https://github.com/mpi4py/mpi4py/issues/147
    Closes: #1059791

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 00:23:20 +0100

mpi4py (4.0.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch fix_symbols_PR549.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Nov 2024 15:47:58 +0100

mpi4py (4.0.0-9) unstable; urgency=medium

  * Team upload.
  * Use the new OpenMPI 5 environment variable to allow oversubscription.
    This should allow the package to be built on systems with a single CPU.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Nov 2024 21:55:00 +0100

mpi4py (4.0.0-8) unstable; urgency=medium

  * python3-mpi4py Breaks: python3-pyzoltan (<< 1.0.1-10~)
    mpi4py 4 requires pyzoltan to patch the definition of MPI_Session

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Sep 2024 09:51:16 +0200

mpi4py (4.0.0-7) unstable; urgency=medium

  * update debian/copyright: mpi4py 4 was released under BSD-3-clause
  * avoid oversubscribing tests (i386 takes 1 hour running 3 processes
    where only 2 are available). Use no more than the available number
    of processors, except do use at least 2 processes.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Sep 2024 00:24:43 +0200

mpi4py (4.0.0-6) unstable; urgency=medium

  * debian/tests: fix test for DEB_HOST_ARCH (i386 uses 3 processes)

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 10:21:08 +0200

mpi4py (4.0.0-5) unstable; urgency=medium

  * update debian/tests
    - run tests from mpi4py-test script
    - report number of available processing units (nproc)
    - run i386 tests with 3 processors not 5.
      mpich is particularly slow on i386 (times out).

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Sep 2024 09:36:37 +0200

mpi4py (4.0.0-4) unstable; urgency=medium

  * debian patch fix_symbols_PR549.patch applies upstream PR#549 to
    fix access of library symbols during tests. Needed for mpich tests
    on 32-bit arches.

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Sep 2024 20:31:46 +0200

mpi4py (4.0.0-3) unstable; urgency=medium

  * Apply MPI4PY_TEST_SPAWN=false with tests on all arches to avoid
    spawn failures with OpenMPI 4. Requires GITHUB_ACTIONS=true to
    activate. Spawn is generally flakey with  OpenMPI 4. Reenable
    spawn tests later with OpenMPI 5. Closes: #1081459.

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Sep 2024 09:33:57 +0200

mpi4py (4.0.0-2) unstable; urgency=medium

  * update debian patch skip_ppc_failing_tests.patch to skip
    testArgsOnlyAtRoot on powerpc. See upstream Issue#541.

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Sep 2024 21:56:15 +0200

mpi4py (4.0.0-1exp2) experimental; urgency=medium

  * reinstate and update debian patch skip_ppc_failing_tests.patch.
    Add ppc skip to testCodeCharStr.
  * add debian patch skip_s390x_failing_tests.patch to skip
    test_util_pool.TestProcessPool.test_apply on s390x
  * reinstate debian/patches/skip_testPackUnpackExternal_sparc64.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2024 11:43:15 +0200

mpi4py (4.0.0-1exp1) experimental; urgency=medium

  * Major new upstream release
    - Build-Depends: cython3
    - applies or deprecates debian patches
      docs_privacy.patch
      fix_docs.patch
      io_long_double_i386_2d868d7.patch
      mpich_32bit_13e8af6.patch
      up_no_modlibs
  * doc build no longer uses usrman subdir
  * mpi4py man page now provided in section 3
  * drop deprecated debian/missing-sources
  * new major release, make a clean sweep of patches: drop all debian
    patches skipping tests.

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Jul 2024 23:49:55 +0200
