=== debian/tests/control ===
Tests: mpi4py-test
Depends: python3-mpi4py,
    python3-all,
    python3-cffi,
    python3-dill,
    python3-setuptools,
    python3-numpy,
    python3-simplejson,
    python3-yaml
Restrictions: allow-stderr


# Dummy test so that changes to other packages
# trigger our autopkgtests on ci.debian.net
Test-Command: /bin/true
Depends: libpmix-dev,
    libucx-dev [amd64 arm64 ppc64el],
Restrictions: hint-testsuite-triggers
